<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-title class="ion-padding">My Profile</ion-title>
    <ion-buttons slot="end">
      <app-profile-avatar></app-profile-avatar>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
    <div class="eh-p-16 eh-ofy-scroll eh-hide-scrollbars" [formGroup]="personalDetailsFG">
      <!-- <div class="eh-mb-16" fxLayout="row" fxLayoutAlign="end center">
        <div *ngIf="hasChanged()" class="e-txt e-txt--matred600 eh-mr-16" fxLayout="row" fxLayoutAlign="start center">
          <mat-icon class="e-mat-icon e-mat-icon--3">warning</mat-icon>
          <span class="eh-txt-12 eh-ml-4 eh-txt-bold">Unsaved changes</span>
        </div>
        <app-button-icon-title title="Reset" buttonStyle="e-txt e-txt--matred600" icon="settings_backup_restore"
          [disabled]="loading" (onButtonClick)="onReset()"></app-button-icon-title>
        <app-button-icon-title class="eh-ml-16 eh-mr-4" title="Save" buttonStyle="e-txt e-txt--matgreen500" icon="save"
          [loading]="loading" (onButtonClick)="onSave()"></app-button-icon-title>
      </div> -->
      <ng-container formGroupName="personalDetails">
        <div class="e-title">
          <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">assignment_ind</mat-icon>
          <span>Basic</span>
        </div>

        <div class="eh-mt-16" fxLayout="row">

          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>First Name<sup>*</sup></mat-label>
            <input matInput formControlName="firstName" readonly>
          </mat-form-field>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>Last Name<sup>*</sup></mat-label>
            <input matInput formControlName="lastName" readonly>
          </mat-form-field>
        </div>


        <div class="eh-mt-8" fxLayout="row">
          <div class="eh-w-300">
            <div class="eh-txt-12 eh-mb-4">Gender<sup>*</sup></div>
            <mat-button-toggle-group class="e-mat-button-toggle" formControlName="gender">
              <mat-button-toggle [checked]="gender === genderTypes.MALE" [value]="genderTypes.MALE" [disabled]="true">
                Male
              </mat-button-toggle>
              <mat-button-toggle [checked]="gender === genderTypes.FEMALE" [value]="genderTypes.FEMALE"
                [disabled]="true">
                Female
              </mat-button-toggle>
            </mat-button-toggle-group>
          </div>

          <div class="eh-w-300 eh-mt-8">
            <mat-form-field appearance="standard" class="e-mat-form-field eh-w-180">
              <mat-label>Date of Birth<sup>*</sup></mat-label>
              <input matInput readonly [matDatepicker]="picker" [max]="maxDate" [value]="dob" [disabled]="loading"
                (dateInput)="onDOBSet($event)" readOnly>
              <mat-datepicker-toggle matSuffix [for]="picker" class="e-mat-datepicker">
              </mat-datepicker-toggle>
              <!-- <mat-datepicker #picker></mat-datepicker> -->
            </mat-form-field>
          </div>
        </div>

        <!-- <div class="eh-mt-12" fxLayout="column">
          <div class="eh-w-300">
            <div class="eh-py-4">Profile Picture</div>
            <app-input-file-preview [uploadByName]="me.name" [uploadByUID]="me.uid"
              [uploadCollectionName]="uploadCollectionName" [uploadDirPath]="uploadDirPath"
              [uploadFileNamePrefix]="uploadFileNamePrefix" [userMembershipKey]="me.membershipKey" [userUID]="me.uid"
              (availableEvent)="availableEvent($event)" (uploadEvent)="uploadEvent($event)">
            </app-input-file-preview>
          </div>
        </div> -->

        <div class="e-title eh-mt-24">
          <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">contact_mail</mat-icon>
          <span>Contact</span>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>Email<sup>*</sup></mat-label>
            <input matInput formControlName="email" readonly>
          </mat-form-field>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>Mobile<sup>*</sup></mat-label>
            <input matInput formControlName="mobile" readonly>
            <mat-hint>+91-XXXXXXXXXX</mat-hint>
          </mat-form-field>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <div class="eh-w-480">
            <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
              <mat-label>Address Line 1<sup>*</sup></mat-label>
              <input class="eh-txt-lh1_2" matInput formControlName="addressLine1" readonly>
            </mat-form-field>
          </div>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <div class="eh-w-480">
            <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
              <mat-label>Address Line 2</mat-label>
              <input class="eh-txt-lh1_2" matInput formControlName="addressLine2" readonly>
            </mat-form-field>
          </div>
        </div>

        <div class="eh-mt-8" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>City<sup>*</sup></mat-label>
            <input matInput formControlName="city" readonly>
          </mat-form-field>
        </div>
        <div class="eh-mt-8" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>State<sup>*</sup></mat-label>
            <input matInput formControlName="state" readonly>
          </mat-form-field>
        </div>
        <div class="eh-mt-8" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>Pincode<sup>*</sup></mat-label>
            <input matInput formControlName="pincode" readonly>
          </mat-form-field>
        </div>
        <div class="eh-mt-8" fxLayout="row">
          <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
            <mat-label>Country<sup>*</sup></mat-label>
            <input matInput formControlName="country" readonly>
          </mat-form-field>
        </div>


        <div class="e-title eh-mt-24">
          <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">co_present</mat-icon>
          <span>Referral</span>
        </div>

        <div class="eh-mt-16" fxLayout="row">
          <div class="eh-w-480">
            <mat-form-field appearance="standard" class="e-mat-form-field eh-w-100p">
              <mat-label>Referred by</mat-label>
              <input matInput formControlName="referredBy" readonly>
            </mat-form-field>
          </div>
        </div>
      </ng-container>
    </div>
  </ng-container>

  <ng-template #isPackageNotSubscribedBlk>
    <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
      <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
      <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
      <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
        class="e-mat-button e-mat-button--eblue400 eh-mt-8">
        Resume On-boarding
      </button>
    </div>
  </ng-template>

</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>

<!-- <app-tabs></app-tabs> -->